﻿@model WebApplication6.Models.Chaters

@{
    ViewBag.Title = "Create";
}
<style>
    .Login {
        border: 1px solid gray;
        border-radius: 10px;
        padding: 10px;
        padding-top: 0px;
        padding-bottom: 15px;
        margin-bottom: 50px;
    }
</style>

<h2></h2>

@using (Html.BeginForm("Create", "Home", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.ValidationSummary()
    <div class="row NoSelect" style="user-select: none;">
        <div class="Login col-sm-6 col-xs-10 col-md-6 col-lg-6 col-xs-offset-1 col-sm-offset-3 col-md-offset-3 col-lg-offset-3 lft">
            <h3 class="text-center login-title " style="cursor: default;">
                Sine Up
            </h3>
            <div class="form-group lft">
                @Html.LabelFor(x => x.EmailId, "Email Id")
                @Html.TextBoxFor(x => x.EmailId, new { @class = "form-control lft", type = "email", required = "required" })
                @Html.ValidationMessageFor(x => x.EmailId)
            </div>
            <div class="form-group lft">
                @Html.LabelFor(x => x.Name, "Name")
                @Html.TextBoxFor(x => x.Name, new { @class = "form-control lft", required = "required" })
                @Html.ValidationMessageFor(x => x.Name)
            </div>
            <div class="form-group lft">
                @Html.LabelFor(x => x.Password, "Password")
                @Html.TextBoxFor(x => x.Password, new { @class = "form-control lft", required = "required" })
                @Html.ValidationMessageFor(x => x.Password)
            </div>
            <div class="form-group lft">
                <label for="ProfileImage">Profile Image</label>
                <input class="form-control lft" data-val="true" data-val-extension="please select an image file." data-val-extension-extension="jpg,gif,png" data-val-required="The ProfileImage field is required." id="ProfileImage" name="ProfileImage" required="required" type="file" value="">
                <span class="field-validation-valid" data-valmsg-for="ProfileImage" data-valmsg-replace="true"></span>
            </div>
            <button type="submit" class="btn btn-default btn" style="width: 30%;">
                Sine Up
            </button>
            <br>
        </div>
    </div>

}
